
Redmine - Defect #28519

Redmine csv export encoding problem

2018-04-10 09:28 - Aziz Öğütlü

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.4

Description

We're using Redmine 3.3.0 and we've updated to 3.4.4 version with language Turkish (on locales/tr.yml encoding is ISO-8859-9).

When we're using old version, open exported csv issue list has successfully opened with MS Excel (version 2016). But on new

version, Turkish characters are corrupted.

I also see #11116 issue is similar, but cannot fix on new version.

Could you please help on this?

History

#1 - 2018-04-10 11:29 - Go MAEDA

- File issues-3_3.csv added

- File issues-trunk.csv added

- Status changed from New to Needs feedback

I tested with Redmine 3.3 and trunk, but I could not find the difference. LibreOffice can handle both files properly (I didn't test Miscorosft Excel

because I don't have it).

Can your Excel open issues-trunk.csv ?

#2 - 2018-04-10 13:52 - Aziz Öğütlü

Yes, we've tested csv files and could open them.

We've had problem on encoding on version 3.3.0 and we're using patch that comments out lib/redmine/export/csv.rb BOM lines. (Also we use patch

in new version)

When removed the patch, problem's resolved.

Thank you for your support.

#3 - 2018-04-10 16:34 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

My understanding is that the problem you reported was caused by your custom patch and now the problem was resolved by removing the patch.

I am closing this issue. Thank you for the feedback.

Files

issues-3_3.csv 494 Bytes 2018-04-10 Go MAEDA

issues-trunk.csv 525 Bytes 2018-04-10 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-04-29 1/1

https://www.redmine.org/issues/11116
https://www.redmine.org/attachments/20458
http://www.tcpdf.org

